/**
 * The file path to the JSON file with auth creds for SCM.
 */
export declare const authFile: string | undefined;
/**
 * The URL to send auth credentials to which will return a JWT. Default:
 * `https://auth.apps.paloaltonetworks.com/auth/v1/oauth2/access_token`. Environment variable: `SCM_AUTH_URL`. JSON config
 * file variable: `authUrl`.
 */
export declare const authUrl: string | undefined;
/**
 * The client ID for the connection. Environment variable: `SCM_CLIENT_ID`. JSON config file variable: `clientId`.
 */
export declare const clientId: string | undefined;
/**
 * The client secret for the connection. Environment variable: `SCM_CLIENT_SECRET`. JSON config file variable:
 * `clientSecret`.
 */
export declare const clientSecret: string | undefined;
/**
 * Custom HTTP headers to be sent with all API commands. Environment variable: `SCM_HEADERS`. JSON config file variable:
 * `headers`.
 */
export declare const headers: {
    [key: string]: string;
} | undefined;
/**
 * The hostname of Strata Cloud Manager API. Default: `api.sase.paloaltonetworks.com`. Environment variable: `SCM_HOST`.
 * JSON config file variable: `host`.
 */
export declare const host: string | undefined;
/**
 * The logging level of the provider and the underlying communication. Default: `quiet`. Environment variable:
 * `SCM_LOGGING`. JSON config file variable: `logging`.
 */
export declare const logging: string | undefined;
/**
 * The port number to use for API commands, if non-standard for the given protocol. Environment variable: `SCM_PORT`. JSON
 * config file variable: `port`.
 */
export declare const port: number | undefined;
/**
 * The protocol to use for SCM. This should be 'http' or 'https'. Default: `https`. Environment variable: `SCM_PROTOCOL`.
 * JSON config file variable: `protocol`.
 */
export declare const protocol: string | undefined;
/**
 * The client scope. Environment variable: `SCM_SCOPE`. JSON config file variable: `scope`.
 */
export declare const scope: string | undefined;
