import * as pulumi from "@pulumi/pulumi";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getApplicationGroup({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getApplicationGroup(args: GetApplicationGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetApplicationGroupResult>;
/**
 * A collection of arguments for invoking getApplicationGroup.
 */
export interface GetApplicationGroupArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getApplicationGroup.
 */
export interface GetApplicationGroupResult {
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The Members param. Individual elements in this list are subject to additional validation. String length must not exceed 63 characters.
     */
    readonly members: string[];
    /**
     * Alphanumeric string [ 0-9a-zA-Z._-]. String length must not exceed 31 characters.
     */
    readonly name: string;
    readonly tfid: string;
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getApplicationGroup({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getApplicationGroupOutput(args: GetApplicationGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetApplicationGroupResult>;
/**
 * A collection of arguments for invoking getApplicationGroup.
 */
export interface GetApplicationGroupOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
