import * as pulumi from "@pulumi/pulumi";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getAuthenticationSequence({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getAuthenticationSequence(args: GetAuthenticationSequenceArgs, opts?: pulumi.InvokeOptions): Promise<GetAuthenticationSequenceResult>;
/**
 * A collection of arguments for invoking getAuthenticationSequence.
 */
export interface GetAuthenticationSequenceArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getAuthenticationSequence.
 */
export interface GetAuthenticationSequenceResult {
    /**
     * The AuthenticationProfiles param.
     */
    readonly authenticationProfiles: string[];
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The Name param.
     */
    readonly name: string;
    readonly tfid: string;
    /**
     * The UseDomainFindProfile param. Default: `true`.
     */
    readonly useDomainFindProfile: boolean;
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getAuthenticationSequence({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getAuthenticationSequenceOutput(args: GetAuthenticationSequenceOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAuthenticationSequenceResult>;
/**
 * A collection of arguments for invoking getAuthenticationSequence.
 */
export interface GetAuthenticationSequenceOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
