import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getFileBlockingProfile({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getFileBlockingProfile(args: GetFileBlockingProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetFileBlockingProfileResult>;
/**
 * A collection of arguments for invoking getFileBlockingProfile.
 */
export interface GetFileBlockingProfileArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getFileBlockingProfile.
 */
export interface GetFileBlockingProfileResult {
    /**
     * The Description param.
     */
    readonly description: string;
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The Name param.
     */
    readonly name: string;
    /**
     * The Rules param.
     */
    readonly rules: outputs.GetFileBlockingProfileRule[];
    readonly tfid: string;
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getFileBlockingProfile({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getFileBlockingProfileOutput(args: GetFileBlockingProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetFileBlockingProfileResult>;
/**
 * A collection of arguments for invoking getFileBlockingProfile.
 */
export interface GetFileBlockingProfileOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
