import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getHttpHeaderProfile({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getHttpHeaderProfile(args: GetHttpHeaderProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetHttpHeaderProfileResult>;
/**
 * A collection of arguments for invoking getHttpHeaderProfile.
 */
export interface GetHttpHeaderProfileArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getHttpHeaderProfile.
 */
export interface GetHttpHeaderProfileResult {
    /**
     * The Description param.
     */
    readonly description: string;
    /**
     * The HttpHeaderInsertions param.
     */
    readonly httpHeaderInsertions: outputs.GetHttpHeaderProfileHttpHeaderInsertion[];
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The Name param.
     */
    readonly name: string;
    readonly tfid: string;
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getHttpHeaderProfile({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getHttpHeaderProfileOutput(args: GetHttpHeaderProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetHttpHeaderProfileResult>;
/**
 * A collection of arguments for invoking getHttpHeaderProfile.
 */
export interface GetHttpHeaderProfileOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
