import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * Retrieves a listing of config items.
 */
export declare function getJobsList(opts?: pulumi.InvokeOptions): Promise<GetJobsListResult>;
/**
 * A collection of values returned by getJobsList.
 */
export interface GetJobsListResult {
    /**
     * The Data param.
     */
    readonly datas: outputs.GetJobsListData[];
    /**
     * The provider-assigned unique ID for this managed resource.
     */
    readonly id: string;
    /**
     * The Limit param. A limit of -1 will return all configured items. Default: `200`.
     */
    readonly limit: number;
    /**
     * The Offset param. Default: `0`.
     */
    readonly offset: number;
    readonly tfid: string;
    /**
     * The Total param.
     */
    readonly total: number;
}
/**
 * Retrieves a listing of config items.
 */
export declare function getJobsListOutput(opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetJobsListResult>;
