import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getKerberosServerProfile({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getKerberosServerProfile(args: GetKerberosServerProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetKerberosServerProfileResult>;
/**
 * A collection of arguments for invoking getKerberosServerProfile.
 */
export interface GetKerberosServerProfileArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getKerberosServerProfile.
 */
export interface GetKerberosServerProfileResult {
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The Servers param.
     */
    readonly servers: outputs.GetKerberosServerProfileServer[];
    readonly tfid: string;
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getKerberosServerProfile({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getKerberosServerProfileOutput(args: GetKerberosServerProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetKerberosServerProfileResult>;
/**
 * A collection of arguments for invoking getKerberosServerProfile.
 */
export interface GetKerberosServerProfileOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
