import * as pulumi from "@pulumi/pulumi";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getProfileGroup({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getProfileGroup(args: GetProfileGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetProfileGroupResult>;
/**
 * A collection of arguments for invoking getProfileGroup.
 */
export interface GetProfileGroupArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getProfileGroup.
 */
export interface GetProfileGroupResult {
    /**
     * The DnsSecurities param.
     */
    readonly dnsSecurities: string[];
    /**
     * The FileBlockings param.
     */
    readonly fileBlockings: string[];
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The Name param.
     */
    readonly name: string;
    /**
     * The SaasSecurities param.
     */
    readonly saasSecurities: string[];
    /**
     * The Spywares param.
     */
    readonly spywares: string[];
    readonly tfid: string;
    /**
     * The UrlFilterings param.
     */
    readonly urlFilterings: string[];
    /**
     * The VirusAndWildfireAnalyses param.
     */
    readonly virusAndWildfireAnalyses: string[];
    /**
     * The Vulnerabilities param.
     */
    readonly vulnerabilities: string[];
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getProfileGroup({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getProfileGroupOutput(args: GetProfileGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetProfileGroupResult>;
/**
 * A collection of arguments for invoking getProfileGroup.
 */
export interface GetProfileGroupOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
