import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getQosProfile({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getQosProfile(args: GetQosProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetQosProfileResult>;
/**
 * A collection of arguments for invoking getQosProfile.
 */
export interface GetQosProfileArgs {
    /**
     * The Folder param.
     */
    folder?: string;
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getQosProfile.
 */
export interface GetQosProfileResult {
    /**
     * The AggregateBandwidth param.
     */
    readonly aggregateBandwidth: outputs.GetQosProfileAggregateBandwidth;
    /**
     * The ClassBandwidthType param.
     */
    readonly classBandwidthType: outputs.GetQosProfileClassBandwidthType;
    /**
     * The Folder param.
     */
    readonly folder?: string;
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * Alphanumeric string begin with letter: [0-9a-zA-Z._-]. String length must not exceed 31 characters.
     */
    readonly name: string;
    readonly tfid: string;
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getQosProfile({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getQosProfileOutput(args: GetQosProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetQosProfileResult>;
/**
 * A collection of arguments for invoking getQosProfile.
 */
export interface GetQosProfileOutputArgs {
    /**
     * The Folder param.
     */
    folder?: pulumi.Input<string>;
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
