"use strict";
// *** WARNING: this file was generated by the Pulumi Terraform Bridge (tfgen) Tool. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.ScepProfile = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("./utilities");
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = new scm.ScepProfile("example", {});
 * ```
 */
class ScepProfile extends pulumi.CustomResource {
    /**
     * Get an existing ScepProfile resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param state Any extra arguments used during the lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, state, opts) {
        return new ScepProfile(name, state, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of ScepProfile.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === ScepProfile.__pulumiType;
    }
    constructor(name, argsOrState, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (opts.id) {
            const state = argsOrState;
            resourceInputs["algorithm"] = state ? state.algorithm : undefined;
            resourceInputs["caIdentityName"] = state ? state.caIdentityName : undefined;
            resourceInputs["certificateAttributes"] = state ? state.certificateAttributes : undefined;
            resourceInputs["device"] = state ? state.device : undefined;
            resourceInputs["digest"] = state ? state.digest : undefined;
            resourceInputs["encryptedValues"] = state ? state.encryptedValues : undefined;
            resourceInputs["fingerprint"] = state ? state.fingerprint : undefined;
            resourceInputs["folder"] = state ? state.folder : undefined;
            resourceInputs["name"] = state ? state.name : undefined;
            resourceInputs["scepCaCert"] = state ? state.scepCaCert : undefined;
            resourceInputs["scepChallenge"] = state ? state.scepChallenge : undefined;
            resourceInputs["scepClientCert"] = state ? state.scepClientCert : undefined;
            resourceInputs["scepUrl"] = state ? state.scepUrl : undefined;
            resourceInputs["snippet"] = state ? state.snippet : undefined;
            resourceInputs["subject"] = state ? state.subject : undefined;
            resourceInputs["tfid"] = state ? state.tfid : undefined;
            resourceInputs["useAsDigitalSignature"] = state ? state.useAsDigitalSignature : undefined;
            resourceInputs["useForKeyEncipherment"] = state ? state.useForKeyEncipherment : undefined;
        }
        else {
            const args = argsOrState;
            if ((!args || args.caIdentityName === undefined) && !opts.urn) {
                throw new Error("Missing required property 'caIdentityName'");
            }
            if ((!args || args.digest === undefined) && !opts.urn) {
                throw new Error("Missing required property 'digest'");
            }
            if ((!args || args.scepUrl === undefined) && !opts.urn) {
                throw new Error("Missing required property 'scepUrl'");
            }
            resourceInputs["algorithm"] = args ? args.algorithm : undefined;
            resourceInputs["caIdentityName"] = args ? args.caIdentityName : undefined;
            resourceInputs["certificateAttributes"] = args ? args.certificateAttributes : undefined;
            resourceInputs["device"] = args ? args.device : undefined;
            resourceInputs["digest"] = args ? args.digest : undefined;
            resourceInputs["fingerprint"] = args ? args.fingerprint : undefined;
            resourceInputs["folder"] = args ? args.folder : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["scepCaCert"] = args ? args.scepCaCert : undefined;
            resourceInputs["scepChallenge"] = args ? args.scepChallenge : undefined;
            resourceInputs["scepClientCert"] = args ? args.scepClientCert : undefined;
            resourceInputs["scepUrl"] = args ? args.scepUrl : undefined;
            resourceInputs["snippet"] = args ? args.snippet : undefined;
            resourceInputs["subject"] = args ? args.subject : undefined;
            resourceInputs["useAsDigitalSignature"] = args ? args.useAsDigitalSignature : undefined;
            resourceInputs["useForKeyEncipherment"] = args ? args.useForKeyEncipherment : undefined;
            resourceInputs["encryptedValues"] = undefined /*out*/;
            resourceInputs["tfid"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const secretOpts = { additionalSecretOutputs: ["encryptedValues"] };
        opts = pulumi.mergeOptions(opts, secretOpts);
        super(ScepProfile.__pulumiType, name, resourceInputs, opts);
    }
}
exports.ScepProfile = ScepProfile;
/** @internal */
ScepProfile.__pulumiType = 'scm:index/scepProfile:ScepProfile';
//# sourceMappingURL=scepProfile.js.map