import * as pulumi from "@pulumi/pulumi";
import * as outputs from "./types/output";
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getVulnerabilityProtectionProfile({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getVulnerabilityProtectionProfile(args: GetVulnerabilityProtectionProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetVulnerabilityProtectionProfileResult>;
/**
 * A collection of arguments for invoking getVulnerabilityProtectionProfile.
 */
export interface GetVulnerabilityProtectionProfileArgs {
    /**
     * The Id param.
     */
    id: string;
}
/**
 * A collection of values returned by getVulnerabilityProtectionProfile.
 */
export interface GetVulnerabilityProtectionProfileResult {
    /**
     * The Description param.
     */
    readonly description: string;
    /**
     * The Id param.
     */
    readonly id: string;
    /**
     * The Name param. String validation regex: `^[a-zA-Z0-9._-]+$`.
     */
    readonly name: string;
    /**
     * The Rules param.
     */
    readonly rules: outputs.GetVulnerabilityProtectionProfileRule[];
    readonly tfid: string;
    /**
     * The ThreatExceptions param.
     */
    readonly threatExceptions: outputs.GetVulnerabilityProtectionProfileThreatException[];
}
/**
 * Retrieves a config item.
 *
 * ## Example Usage
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as scm from "@pulumi/scm";
 *
 * const example = scm.getVulnerabilityProtectionProfile({
 *     id: "1234-56-789",
 * });
 * ```
 */
export declare function getVulnerabilityProtectionProfileOutput(args: GetVulnerabilityProtectionProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVulnerabilityProtectionProfileResult>;
/**
 * A collection of arguments for invoking getVulnerabilityProtectionProfile.
 */
export interface GetVulnerabilityProtectionProfileOutputArgs {
    /**
     * The Id param.
     */
    id: pulumi.Input<string>;
}
